org
org:read
user
user:read
Get arrival windows schedule for a product and route
Schedule retrieved successfully
OAuth scopes
one of:
- org
- org:read
- user
- user:read
Body
application/json
- Type: stringFormat: uuidquote
_id requiredQuote ID to extract product and locations from
- Type: "origin" or "destination"enumref
Reference point (origin = pickup, destination = dropoff)
Responses
- application/vnd.lugg+json;version=2
- application/vnd.lugg+json;version=2
- application/vnd.lugg+json;version=2
- application/vnd.lugg+json;version=2
- application/vnd.lugg+json;version=2
- application/vnd.lugg+json;version=2
Request Example for post/schedule
curl https://api.lugg.com/schedule \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"quote_id": "",
"ref": "origin"
}'
{
"product": "pickup",
"ref": "origin",
"time_zone": "America/Los_Angeles",
"arrival_windows": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"available": true,
"ondemand": true,
"start_at": null,
"end_at": null,
"label": "2:00 PM - 4:00 PM"
}
]
}